Name:           logback
Version:        1.2.10
Release:        1%{?dist}
Summary:        The reliable, generic, fast and flexible logging framework for Java
License:        EPL-1.0 or LGPLv2+
URL:            https://logback.qos.ch
BuildArch:      noarch

Source0:        https://github.com/qos-ch/logback/archive/v_%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local-openjdk8
BuildRequires:  mvn(javax.mail:mail)
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.ant:ant-junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:  mvn(org.codehaus.janino:janino)
BuildRequires:  mvn(org.fusesource.jansi:jansi)
BuildRequires:  mvn(org.slf4j:slf4j-api)

%description
Logback is intended as a successor to the popular log4j project, picking up
where log4j 1.x leaves off.

Logback's architecture is quite generic so as to apply under different
circumstances.

%package core
Summary:        Logback Core Module

%description core
logback-core module.

%package classic
Summary:        Logback Classic Module

%description classic
logback-classic module.

%prep
%autosetup -n %{name}-v_%{version}

%pom_disable_module %{name}-access
%pom_disable_module %{name}-site
%pom_disable_module %{name}-examples

%pom_remove_plugin :maven-source-plugin

%pom_xpath_remove pom:extensions
%pom_xpath_remove pom:maven.compiler.source
%pom_xpath_remove pom:maven.compiler.target
%pom_xpath_remove 'pom:execution[pom:id = "bundle-test-jar"]/pom:goals[pom:goal = "test-jar"]' \
    %{name}-core \
    %{name}-classic

%mvn_package :%{name}-parent __noinstall

%build
# no tests because the dependencies are not yet available in Fedora
# no javadoc because logback uses sun.reflect.Reflection from JDK8
# ^https://github.com/fedora-java/xmvn/issues/142
%mvn_build -f -j -s -- -Dmaven.compiler.source=8 -Dmaven.compiler.target=8

%install
%mvn_install

%files core -f .mfiles-%{name}-core
%license LICENSE.txt

%files classic -f .mfiles-%{name}-classic
%license LICENSE.txt

%changelog
* Mon Jan 03 2022 Didik Supriadi <didiksupriadi41@fedoraproject.org> - 1.2.10-1
- Initial package
